*Frank Baumgartner
*5 October 2019

*Making a Stata shapefile for the 3,000+ US counties


cd G:\FB\letters\Miscellaneous\StataCodeSnippets\GIS\US-counties
clear
*spshape2dta UScounties
use UScounties
*destring FIPS, gen(fips)
*destring STATE_FIPS, gen(state_code)
*destring CNTY_FIPS, gen(county_fips)
sort fips
joinby fips using master-list-of-counties.dta, unm(both)
tab _merge
sort _merge
drop if _merge==2
drop _merge popsize pop pct_pov pct_white circuit STATE_FIPS CNTY_FIPS FIPS state_fips
order  STATE_NAME NAME county countystate state fips state_code county_fips _ID _CX _CY
drop county
rename NAME county
rename state st
rename STATE_NAME state
rename state_code state_fips
replace st = "AK" if st == "" & state=="Alaska"
replace countystate = county + " " + st if countystate==""
save UScounties.dta, replace









