*Frank Baumgartner
*5 October 2019

*Making a Stata shapefile for the 50 states


cd G:\FB\DP\Litigation\Oregon-2019\Analyses\ForPresentation\

clear
cd G:\FB\DP\NC-current\county-state-analyses\maps\GIS_2013\Shapefiles\states_21basic
*spshape2dta states
clear
use states.dta

replace STATE_ABBR = "HI" if STATE_NAME=="Hawaii"
replace STATE_ABBR = "WA" if STATE_NAME=="Washington"
replace STATE_ABBR = "MT" if STATE_NAME=="Montana"
replace STATE_ABBR = "ME" if STATE_NAME=="Maine"
replace STATE_ABBR = "ND" if STATE_NAME=="North Dakota"
replace STATE_ABBR = "SD" if STATE_NAME=="South Dakota"
replace STATE_ABBR = "WY" if STATE_NAME=="Wyoming"
replace STATE_ABBR = "WI" if STATE_NAME=="Wisconsin"
replace STATE_ABBR = "ID" if STATE_NAME=="Idaho"


destring STATE_FIPS, gen(state_code)
replace state_code = 15 if STATE_NAME=="Hawaii"
replace state_code = 53 if STATE_NAME=="Washington"
replace state_code = 30 if STATE_NAME=="Montana"
replace state_code = 23 if STATE_NAME=="Maine"
replace state_code = 38 if STATE_NAME=="North Dakota"
replace state_code = 46 if STATE_NAME=="South Dakota"
replace state_code = 56 if STATE_NAME=="Wyoming"
replace state_code = 55 if STATE_NAME=="Wisconsin"
replace state_code = 16 if STATE_NAME=="Idaho"

rename STATE_NAME state
rename STATE_ABBR st
save states.dta, replace







